EDIT - feature request #7275

[DISCUSS] Require email address for Users
02/16/2018 04:23 PM - Andreas Kohlbecker

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmlib Estimated time: 0:00 hour
Target version: CDM UML 5.43

Severity: major

Description

Providing a valid email address in user entities should be required.

Without email address password recovery is not possible: #6161
In the context of password recovery it seems also a requirement to make the email address unique in the UserAccount table.
In order to recover a password the user can usually either supply the login or email address. #7276

For users not providing an email see comment 16 (#7275#note-16)

Related issues:

Related to EDIT - feature request #6161: Service and webservice to recover fo... Closed
Related to EDIT - feature request #6327: Providing the admin email for each s... Duplicate
Blocks EDIT - feature request #7276: Make User.email a unique field. In Progress
History

#1 - 02/16/2018 04:23 PM - Andreas Kohlbecker

- Related to feature request #6161: Service and webservice to recover forgotten passwords added

#2 - 02/16/2018 04:23 PM - Andreas Kohlbecker

- Related to feature request #6327: Providing the admin email for each server instance somehow added

#4 - 02/16/2018 04:24 PM - Andreas Kohlbecker

- Description updated

#5 - 02/19/2018 10:05 AM - Andreas Miiller
- Subject changed from require email address for Users to [DISCUSS] Require email address for Users

- Target version changed from Release 5.1 to COM UML 5.0

As password recovery is not necessarily a feature needed for all CDM instances the necessity of obligatory email needs to be discussed.
Disadvantage is that sometimes a valid email is not yet known at times when a user account is created.

Maybe we could require it only for user creation via browser (vaadin) and implement validation via user interface.

#6 - 02/19/2018 10:22 AM - Andreas Miiller
- Copied to feature request #7276: Make User.email a unique field. added

#7 - 02/19/2018 10:23 AM - Andreas Miiller

- Description updated
#8 - 02/19/2018 11:24 AM - Andreas Kohlbecker
Andreas Muller wrote:

As password recovery is not necessarily a feature needed for all CDM instances the necessity of obligatory email needs to be discussed.
Disadvantage is that sometimes a valid email is not yet known at times when a user account is created.

Maybe we could require it only for user creation via browser (vaadin) and implement validation via user interface.
Password recovery will be a functionality offered by a service class and the according web service controller. These components may only be needed
for specific cdm instances and could therefore be made optional (enable via spring profile?)

An other point to take into consideration is that instances enabled password recovery will also allow self registration (sign in) of new users. In self
registration workflows usually a confirmation email is sent to the user.

Suggestion:

Self registration and password recovery will be provided by spring service beans and web service controllers which are only active in a specific spring
profile (user-self-registration). The profile can be enabled per cdm instance, that is the spring profiles to be enabled must be defined in a configuration
file per instance. Enabling this profile will activate a bean which makes email addresses mandatory.

#9 - 05/07/2018 11:23 PM - Andreas Miuller

- Assignee changed from Andreas Miller to Andreas Kohlbecker

How to procede. This is not a model change ticket anymore. Should we open a new ticket with new label and close this one or move this one simply
to another milestone?

#10 - 05/14/2018 06:01 PM - Andreas Miiller

- Status changed from New to Feedback

#11 - 05/16/2018 11:37 AM - Andreas Miiller
- Target version changed from CDM UML 5.0 to CDM UML 5.5

#12 - 05/05/2019 11:34 AM - Andreas Miiller
- Target version changed from CDM UML 5.5 to CDM UML 5.15

#13 - 06/23/2020 03:03 PM - Andreas Miiller
- Target version changed from CDM UML 5.15 to CDM UML 5.43

#14 - 09/24/2021 07:26 PM - Andreas Miiller
- Copied to deleted (feature request #7276: Make User.email a unique field.)

#15 - 09/24/2021 07:26 PM - Andreas Miiller

- Blocks feature request #7276: Make User.email a unique field. added

#16 - 09/24/2021 07:28 PM - Andreas Miiller

- Description updated

- Status changed from Feedback to In Progress

- Assignee changed from Andreas Kohlbecker to Andreas Mtiller

- Priority changed from New to Highest

#17 - 11/03/2021 02:55 PM - Andreas Kohlbecker

i am removing the last comment as this was misplaced here. This comment is a duplicate of #7276#note-11

#18 - 11/03/2021 03:00 PM - Andreas Kohlbecker

in #7276#note-11 we decided for the strategy to adding default dummy-email addresses to replace null values.
